// Esta función obtendrá el poolId desde la URL,
// actualizará el texto de la cabecera y obtendrá los datos del pool
function loadFiles() {
    const urlParams = new URLSearchParams(window.location.search);
    const poolId = urlParams.get('poolId');

    // Actualiza el texto de la cabecera
    document.getElementById('poolId').innerText = poolId;

    // Obtiene los datos del pool
    fetch(`/pools/view_files?poolId=${poolId}`)
        .then(response => response.json())
        .then(pool => {
            // Limpia la tabla
            const fileList = document.getElementById('fileList');
            fileList.innerHTML = '';

            // Agrega cada archivo a la tabla
            pool.files.forEach(file => {
                const row = fileList.insertRow();
                const cell = row.insertCell();
                cell.innerText = file;

                // Añade un evento de clic a la fila
                row.addEventListener('click', function() {
                    downloadFile(poolId, file);
                });
            });
        })
        .catch(error => console.error('Error:', error));
}

function downloadFile(poolId, filename) {
    window.location.href = `/pools/download?poolId=${poolId}&filename=${filename}`; // Por ejemplo
}
window.onload = loadFiles;

document.getElementById('downloadAllButton').addEventListener('click', function() {
    downloadAllFiles();
});

function downloadAllFiles() {
    const urlParams = new URLSearchParams(window.location.search);
    const poolId = urlParams.get('poolId');


    window.location.href = `/pools/downloadAll?poolId=${poolId}`;
}